### Hierarchy

- XmlAttributeComponent<IAttributesProperties>
  - Attributes

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- prepForXml
- set

### Object literals

- xmlKeys

## Constructors

### constructor

- new Attributes(properties: IAttributesProperties): Attributes

- Inherited from XmlAttributeComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:8

  #### Parameters

  - ##### properties: IAttributesProperties

  #### Returns Attributes

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: IAttributesProperties

Inherited from XmlAttributeComponent.root

- Defined in file/xml-components/default-attributes.ts:7

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlAttributeComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:15

  #### Returns IXmlableObject

### set

- set(properties: IAttributesProperties): void

- Inherited from XmlAttributeComponent.set

  - Defined in file/xml-components/default-attributes.ts:27

  #### Parameters

  - ##### properties: IAttributesProperties

  #### Returns void

## Object literals

### Protected xmlKeys

xmlKeys: object

Overrides XmlAttributeComponent.xmlKeys

- Defined in file/xml-components/attributes.ts:26

### bottom

bottom: string = "w:bottom"

- Defined in file/xml-components/attributes.ts:39

### color

color: string = "w:color"

- Defined in file/xml-components/attributes.ts:28

### footer

footer: string = "w:footer"

- Defined in file/xml-components/attributes.ts:42

### gutter

gutter: string = "w:gutter"

- Defined in file/xml-components/attributes.ts:43

### h

h: string = "w:h"

- Defined in file/xml-components/attributes.ts:36

### header

header: string = "w:header"

- Defined in file/xml-components/attributes.ts:41

### left

left: string = "w:left"

- Defined in file/xml-components/attributes.ts:40

### linePitch

linePitch: string = "w:linePitch"

- Defined in file/xml-components/attributes.ts:44

### pos

pos: string = "w:pos"

- Defined in file/xml-components/attributes.ts:45

### right

right: string = "w:right"

- Defined in file/xml-components/attributes.ts:38

### rsidR

rsidR: string = "w:rsidR"

- Defined in file/xml-components/attributes.ts:32

### rsidRPr

rsidRPr: string = "w:rsidRPr"

- Defined in file/xml-components/attributes.ts:33

### rsidSect

rsidSect: string = "w:rsidSect"

- Defined in file/xml-components/attributes.ts:34

### space

space: string = "w:space"

- Defined in file/xml-components/attributes.ts:29

### sz

sz: string = "w:sz"

- Defined in file/xml-components/attributes.ts:30

### top

top: string = "w:top"

- Defined in file/xml-components/attributes.ts:37

### type

type: string = "w:type"

- Defined in file/xml-components/attributes.ts:31

### val

val: string = "w:val"

- Defined in file/xml-components/attributes.ts:27

### w

w: string = "w:w"

- Defined in file/xml-components/attributes.ts:35

Generated using TypeDoc